commit: cd84a0cdbf4cb2bc015d18ed7f5f8e7d67955b37
Author: Jason A. Donenfeld <zx2c4 <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 24 02:04:52 2026 +0000
Commit: Jason A. Donenfeld <zx2c4 <AT> gentoo <DOT> org>
CommitDate: Tue Feb 24 02:05:08 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd84a0cd
www-apps/cgit: add 1.3
Signed-off-by: Jason A. Donenfeld <zx2c4 <AT> gentoo.org>
www-apps/cgit/Manifest | 2 +
www-apps/cgit/cgit-1.3.ebuild | 128 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 130 insertions(+)
diff --git a/www-apps/cgit/Manifest b/www-apps/cgit/Manifest
index 624e926941e3..fca8c498411d 100644
--- a/www-apps/cgit/Manifest
+++ b/www-apps/cgit/Manifest
@@ -1,2 +1,4 @@
DIST cgit-09d24d7cd0b7e85633f2f43808b12871bb209d69.tar.xz 91940 BLAKE2B
edba9ce9fe67f45a569cbefd8803281505b74885094d8c955e9b422dbdc1d253392ecb55dec5330da8096136a10fc833fe9fd7faf9aea1cc8a0e89473f3378dd
SHA512
1847f06c9e695ca61967730fa8aef3ab68fb538d1b5d15c3f97afbd878d9ee993cf8d1400d48ec369a94b20e1a76368ee229b40d64ebfbc833f5e75d2b513a62
+DIST cgit-1.3.tar.xz 92248 BLAKE2B
5c5d68f6e20edb86c8a79a50c9b9baf255d8528f4a956a7f4be0f445985376ffd525f455b90a52d44f5d9e375a0146ce83807caf8d99ec26a395f3e3c09aa50f
SHA512
28b7e1867809cafed6190e1984b059a7aaac3a92d8eb38bc925a58fd344347b86662309be44b6ce6625312cb127540aadd7a22b7561e96c8440144ea5eade02e
DIST git-2.46.0.tar.xz 7577180 BLAKE2B
11fd88faea8cca0982945320c0a1ff949d2abedca9ffde34d40a739349e2a7ae6ceb51a23e8c21f7985cd494d9d17abcec4769e766c3c5188162b906eb1b96bc
SHA512
3afae7a094da070c627f68ceb54c2345e3a49e04e455197527b732eb220e8c3249f5d09655a59bf4280dd0c0a3e305abc1380693e0a7fb0b8138b741c4708184
+DIST git-2.53.0.tar.xz 7993096 BLAKE2B
a23ccb2f793d37347e892f6094ad589510c93011a53fb2c14cdcbfbe6d87413edb4585a98253e4ca5124217f66ad783f4fa584f38dc25ffa34772da01dc45f02
SHA512
f9c0c0f527e10fe3eb524e368b1a24088bfd41097d8cac7854dae7ff21ab8ab2a1716384be53ea6174023ca5a2af3eeddca1d9feb57e447713f82e061df55c8d
diff --git a/www-apps/cgit/cgit-1.3.ebuild b/www-apps/cgit/cgit-1.3.ebuild
new file mode 100644
index 000000000000..fbce7f968d4b
--- /dev/null
+++ b/www-apps/cgit/cgit-1.3.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+PYTHON_COMPAT=( python3_{11..14} )
+
+WEBAPP_MANUAL_SLOT="yes"
+
+inherit flag-o-matic lua-single python-single-r1 tmpfiles toolchain-funcs
webapp
+
+[[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
+
+GIT_V="2.53.0"
+
+DESCRIPTION="A fast web-interface for Git repositories"
+HOMEPAGE="https://git.zx2c4.com/cgit/about/"
+SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+ https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+IUSE="doc +highlight +lua test"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} ) ${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ acct-group/cgit
+ acct-user/cgit
+ dev-libs/openssl:0=
+ dev-vcs/git
+ highlight? (
+ $(python_gen_cond_dep '
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ ')
+ sys-apps/groff
+ )
+ lua? ( ${LUA_DEPS} )
+ virtual/zlib:=
+ virtual/httpd-cgi
+"
+# ebuilds without WEBAPP_MANUAL_SLOT="yes" are broken
+DEPEND="${RDEPEND}"
+BDEPEND="
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ >=app-text/asciidoc-8.5.1
+ )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-highlight.patch )
+
+pkg_setup() {
+ python_setup
+ webapp_pkg_setup
+ use lua && lua-single_pkg_setup
+}
+
+src_configure() {
+ if ! [[ ${PV} =~ 9999* ]]; then
+ rmdir git || die
+ mv "${WORKDIR}"/git-"${GIT_V}" git || die
+ fi
+
+ # bug #951555
+ append-cflags -std=gnu17
+
+ echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
+ echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo
libdir failed"
+ echo "CGIT_SCRIPT_PATH = ${MY_CGIBINDIR}" >> cgit.conf || die "echo
CGIT_SCRIPT_PATH failed"
+ echo "CGIT_DATA_PATH = ${MY_HTDOCSDIR}" >> cgit.conf || die "echo
CGIT_DATA_PATH failed"
+ echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf || die "echo
CACHE_ROOT failed"
+ if use lua; then
+ echo "LUA_PKGCONFIG = ${ELUA}" >> cgit.conf || die "echo
LUA_PKGCONFIG failed"
+ else
+ echo "NO_LUA = 1" >> cgit.conf || die "echo NO_LUA failed"
+ fi
+}
+
+src_compile() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
LDFLAGS="${LDFLAGS}"
+ use doc && emake V=1 doc-man
+}
+
+src_install() {
+ webapp_src_preinst
+
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
LDFLAGS="${LDFLAGS}" DESTDIR="${D}" install
+
+ insinto /etc
+ doins "${FILESDIR}"/cgitrc
+
+ dodoc README
+ use doc && doman cgitrc.5
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_src_install
+
+ cat > cgit.conf <<-EOT || die
+ d ${CGIT_CACHEDIR} 0700 cgit cgit -
+ EOT
+ dotmpfiles cgit.conf
+
+ python_fix_shebang .
+}
+
+src_test() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
LDFLAGS="${LDFLAGS}" test
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+ tmpfiles_process cgit.conf
+ ewarn "The cgit cache is enabled using the cache-size setting in
cgitrc."
+ ewarn "If enabling the cache and running cgit using the web server's
user"
+ ewarn "you should copy ${EROOT}/usr/lib/tmpfiles.d/cgit.conf"
+ ewarn "to ${EROOT}/etc/tmpfiles.d/ and edit, changing the ownership
fields."
+ ewarn "If you use the cache-root setting in cgitrc to specify a cache
directory"
+ ewarn "other than ${CGIT_CACHEDIR} edit the path in cgit.conf."
+}